Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.java.ao.schema.ddl
Class DDLForeignKey

    java.lang.Object
      net.java.ao.schema.ddl.DDLForeignKey

    public class DDLForeignKey

extends Object

Database-agnostic representation of a foreign key constraint. To avoid unnecessary object creation (and to simplify schema parsing) this class only contains table and field names, rather than the full DDL representation. Basically, this class just wraps around the data represented by a fully-rendered foreign key constraint.

This class also defines the convention used to determine foreign key names. It is important that this convention be observed by DDL renderings (i.e. database providers) otherwise migrations will do strange things.

Author:
  Daniel Spiewak

Constructor Summary
`DDLForeignKey()`

Method Summary
`boolean` | `equals(Object obj)`
`String` | `getDomesticTable()`
`String` | `getField()`
`String` | `getFKName()`
`String` | `getForeignField()`
`String` | `getTable()`
`int` | `hashCode()`
`void` | `setDomesticTable(String domesticTable)`
`void` | `setField(String field)`
`void` | `setForeignField(String foreignField)`
`void` | `setTable(String table)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DDLForeignKey

    public DDLForeignKey()

Method Detail

### getField

    public String getField()

### setField

    public void setField(String field)

### getTable

    public String getTable()

### setTable

    public void setTable(String table)

### getForeignField

    public String getForeignField()

### setForeignField

    public void setForeignField(String foreignField)

### getFKName

    public String getFKName()

### getDomesticTable

    public String getDomesticTable()

### setDomesticTable

    public void setDomesticTable(String domesticTable)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2011. All Rights Reserved.